Bug 981989 - [REST] API response sent not in XML format
[REST] API response sent not in XML format
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
All Linux
unspecified Severity high
: ---
: 3.3.0
Assigned To: Ravi Nori
Gadi Ickowicz
storage
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 10:47 EDT by Gadi Ickowicz
Modified: 2016-02-10 13:15 EST (History)
11 users (show)

See Also:
Fixed In Version: is6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine and automation logs (2.15 MB, application/gzip)
2013-07-07 10:47 EDT, Gadi Ickowicz
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16884 None None None Never

  None (edit)
Description Gadi Ickowicz 2013-07-07 10:47:31 EDT
Created attachment 770016 [details]
engine and automation logs

Description of problem:
When sending a request to unplug a disk from vm via REST, the response received from API was not in XML format. This was done using an automated test

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.6.master.el6ev.noarch

How reproducible:
?

Steps to Reproduce:
1. Create 2 vms each with 2 disks each
2. Create a shared disk
3. Plug disk to both vms
4. Deactivate disk on one vm
5. Deactivate disk on second vm
6. Detach disk from first vm

Actual results:
Response received from API is not in xml format

Expected results:
Response should be xml

Additional info:
Request that was sent:

url:/api/vms/cd7fb952-3b63-45fb-ac63-b3b96ada53d9/disks/cd30849e-8af2-47fd-bf76-c49bad2e0d47 
body:
<action>
    <detach>true</detach>
</action>

Response:
!!org.ovirt.engine.api.model.Action
actions: null
brick: null
cluster: null
comment: null
connectivityTimeout: null
creationStatus: null
description: null
fault: null
fenceType: null
gracePeriod: null
host: null
hostNics: null
href: null
id: null
image: null
iscsi: null
name: null
network: null
option: null
powerManagement: null
rootPassword: null
status: {detail: null, state: complete}
storageDomain: null
template: null
ticket: null
vm: null
Comment 4 Meital Bourvine 2013-07-16 01:39:53 EDT
Allon Mureinik has provided the needed info.
Comment 5 Gadi Ickowicz 2013-07-18 07:09:39 EDT
verified by automated test on is6:

DELETE request content is --  url:/api/vms/51c27cd6-9c81-4c0f-b37e-2b270943e455/disks/235544c1-a8f3-4a80-b13b-0f81bab3d76b body:<action>
    <detach>true</detach>
</action>
 
Response body for DELETE request is: <action><status><state>complete</state></status></action>
Comment 7 Itamar Heim 2014-01-21 17:28:13 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:28:13 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:31:05 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.